commit:     73f329df0e48b8011d7ba6fe8635b504e9ed6536
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  4 08:18:16 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Jan  4 08:18:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73f329df

media-libs/libsoundtouch: version bump to 2.1.1

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 media-libs/libsoundtouch/Manifest                  |  1 +
 .../libsoundtouch/libsoundtouch-2.1.1.ebuild       | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/media-libs/libsoundtouch/Manifest 
b/media-libs/libsoundtouch/Manifest
index 04139e0a0d8..aca3c6599d4 100644
--- a/media-libs/libsoundtouch/Manifest
+++ b/media-libs/libsoundtouch/Manifest
@@ -1 +1,2 @@
 DIST soundtouch-2.0.0.tar.gz 455148 BLAKE2B 
e38358b0b773edc03a1b227222418d1e79a97f7a1c7abd22f2cb96bb2a7e3427802214775c908329eeec87710b4d199fba819ad7b99f3d58071749cf372991a1
 SHA512 
c916bdd2cb3d7547f264b1caf09b739b48a161c8c6288c3893fc97379546ed6b41dafaf603b583fbf64ae91270fdeb90811e5b0df0e9c051dc9f6ddca4d319f9
+DIST soundtouch-2.1.1.tar.bz2 526206 BLAKE2B 
bc5d2edef5ae7d297cd017968fb1206d14306c117a847ba34090dcd284a174edcc8f4694be4a98fee7a7d100e7a912e81c2e14a998a22ab2c50eb0d27ca823f7
 SHA512 
9272141e5c1a4def7356add524d861f2c78eb9574ebca2bab3a57190821fb1eb5c85624aa7b31d90ada38a5165bafd8445f6fdd51e2b3a262ca9a2f2db35a9aa

diff --git a/media-libs/libsoundtouch/libsoundtouch-2.1.1.ebuild 
b/media-libs/libsoundtouch/libsoundtouch-2.1.1.ebuild
new file mode 100644
index 00000000000..d9b61b4636a
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-2.1.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib-minimal
+
+MY_PN=${PN/lib}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback 
rates"
+HOMEPAGE="https://www.surina.net/soundtouch/ 
https://gitlab.com/soundtouch/soundtouch";
+SRC_URI="https://gitlab.com/${MY_PN}/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+# subslot = libSoundTouch.so soname
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse openmp static-libs"
+
+DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+       if use openmp ; then
+               tc-has-openmp || die "Please switch to an openmp compatible 
compiler"
+       fi
+       sed -i "s:^\(dist_doc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+       sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --enable-shared
+               --disable-integer-samples
+               $(use_enable cpu_flags_x86_sse x86-optimizations)
+               $(use_enable openmp)
+               $(use_enable static-libs static)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+       emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html 
install
+}
+
+multilib_src_install_all() {
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to